%define tarname RubyInline
Summary: allows you to embed C external module code in your Ruby script
Name: ruby-inline
Version: 2.2.0
Release: 1
License: distributable
Group: Applications/Ruby
Source: http://prdownloads.sourceforge.net/rubyinline/%{tarname}-%{version}.tar.gz
URL: http://sourceforge.net/projects/rubyinline/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
%define ruby18 %( [ `ruby -r rbconfig -e 'print Config::CONFIG["MAJOR"], ".", Config::CONFIG["MINOR"]'` = '1.8' ] && echo 1 || echo 0 )
%if %{ruby18}
Requires: ruby >= 1.8.0
%else
Requires: ruby >= 1.6.0
%endif

%description
Ruby Inline is an attempt to create an analog to Perl's Inline::C. It allows
you to embed C external module code in your ruby script directly. The code is
compiled and run on the fly when needed.

%prep
%setup -n %{tarname}-%{version}
ruby -i -pe "sub(/(@where=)/, '\1\"$RPM_BUILD_ROOT\"')" Makefile
ruby -i -pe "sub(%r(/usr/local/bin/ruby17), '/usr/bin/ruby')" example.rb
ruby -i -pe "sub(%r(/usr/local/bin/ruby(17)?), '/usr/bin/ruby')" \
  example.rb test_inline.rb

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p \
  $RPM_BUILD_ROOT/$(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
make RUBY=%{_bindir}/ruby install

find $RPM_BUILD_ROOT -type f -print | \
    ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist


%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc History.txt README.txt tutorial/ example.rb test_inline.rb

%changelog
* Thu Jun 19 2003 Ian Macdonald <ian@caliban.org> 2.2.0-1
- 2.2.0
